//+------------------------------------------------------------------+
//|                                                        FXAnt.mq4 |
//|                           Copyright  2006, Renato P. dos Santos |
//|                                            http://www.reniza.com |
//+------------------------------------------------------------------+
#property copyright "Copyright  2006, Renato P. dos Santos"
#property link      "http://www.reniza.com"

extern int MaxTrades=2;
extern double lots=0.1;
extern int stoploss=0,takeprofit=0;


int ID=983783;

void deinit() {
   Comment("");
}

int orderscnt(){
int cnt=0;
   for(int i =0;i<OrdersTotal();i++){
      if(OrderSelect(i,SELECT_BY_POS,MODE_TRADES)){
         if(OrderSymbol()==Symbol() && ID==OrderMagicNumber()){
            cnt++;
         }
      }
   }
   return(cnt);
}

int start()
  {
  double sl,tp;
   
   
   if (Period() < 30) {Comment("change to M30 or higher pls"); return(0); }
   if (MathMod(Minute(),Period()) >= 0.5*Period()) return(0);

   if ((High[0]-Low[0])>10*Point && Open[0]<(High[0]+Low[0])/2 && Ask < Open[0]){
      if(orderscnt()<MaxTrades){
         if(stoploss==0){sl=0;}else{sl=Bid-stoploss*Point;}
         if(takeprofit==0){tp=0;}else{tp=Bid+takeprofit*Point;}
         OrderSend(Symbol(),OP_BUY,lots,Ask,2,sl,tp,"FXAnt",ID,0,Blue); 
      }
   }
   if ((High[0]-Low[0])>10*Point && Open[0]>(High[0]+Low[0])/2 && Bid > Open[0]){
      if(orderscnt()<MaxTrades){
         if(stoploss==0){sl=0;}else{sl=Ask+stoploss*Point;}
         if(takeprofit==0){tp=0;}else{tp=Ask-takeprofit*Point;}
         OrderSend(Symbol(),OP_SELL,lots,Bid,2,sl,tp,"FXAnt",ID,0,Red); 
      }
   }
   return(0);
  }

